# themis

[![crates.io][crates-io-badge]][crates-io]
[![CircleCI][circle-ci-badge]][circle-ci]
[![License][license-badge]][license]

Rust wrapper for [Themis] crypto library.

[Themis]: https://github.com/cossacklabs/themis
[crates-io]: https://crates.io/crates/themis
[crates-io-badge]: https://img.shields.io/crates/v/themis.svg
[circle-ci]: https://circleci.com/gh/cossacklabs/themis/tree/master
[circle-ci-badge]: https://circleci.com/gh/cossacklabs/themis/tree/master.svg?style=shield
[license]: LICENSE
[license-badge]: https://img.shields.io/crates/l/themis.svg

## Quickstart

Rust-Themis requires a native Themis library.
Please refer to [the quickstart guide] for installation instructions.

Documentation may be found here:

 - [general documentation on our wiki][wiki]
 - [in-depth documentation on our site][docserver]
 - [Rust API documentation on docs.rs][docs.rs]
 - [change log for versions on GitHub][CHANGELOG]

You can start off experimenting with [the examples]
or take a look at [the tests]
to get a feeling of how Themis can be used.

[the quickstart guide]: https://github.com/cossacklabs/themis/wiki/Rust-Howto
[wiki]: https://github.com/cossacklabs/themis/wiki
[docs.rs]: https://docs.rs/themis
[docserver]: https://docs.cossacklabs.com/products/themis/
[CHANGELOG]: /src/wrappers/themis/rust/CHANGELOG.md
[the examples]: /docs/examples/rust
[the tests]: /tests/rust

## Licensing

The code is distributed under [Apache 2.0 license](LICENSE).
